# Check input file
# add 'ending' to filename if needed
# return error or filename
checkFile = function(fname, ending=NULL) {
  temp = nchar(fname)
  if (!file.exists(fname) && !is.null(ending)) {
    if (temp <= 4 || (temp > 4 && substring(fname, temp-3) != ".tex"))
      fname = paste0(fname, ".tex")
  }
  if (!file.exists(fname)) stop("cannot find ", fname)
  return(fname)
} # end checkFile()
