# erase .R files created by prior shinyTex() runs
cleanFiles = function() {
  if (file.exists("ui.R")) file.remove("ui.R")
  if (file.exists("server.R")) file.remove("server.R")
  others = list.files(pattern="^(SB)?[0-9]+[-][0-9]+[.]html$")
  file.remove(others)
  others = list.files(pattern="^(f|hiddenF)eedbackFor.+[.]R$")
  file.remove(others)
  if (file.exists("tabJumpSetup.R")) file.remove("tabJumpSetup.R")
  functions = ls(pattern="^(hiddenF|f)eedbackFor", envir=.GlobalEnv)
  rm(list=functions, envir=.GlobalEnv)
  invisible(NULL)
} # end cleanFiles()
